@charset "utf-8";

#checkcheck:checked ~.hamburger-open div{
	width:55px;
	height:55px;
}
#checkcheck ~.hamburger-open div{
	display:inline-block;
	width:54px;
	height:54px;
	position:absolute;
	z-index:15;
	top:20px;
	right: 20px;
	cursor: pointer;
	transition:width 0.5s,height 0.5s,background-color 0.5s;
}
#checkcheck ~.hamburger-open span{
    display: inline;
    transition: all .4s;
    position:absolute;
	top:0;
	right:0;
    height:6px;
	border-radius: 2px;
	background-color:#000;
	width:40px;	
}
#checkcheck:checked ~.hamburger-open span{
   background-color:#fff;
}
#checkcheck ~.hamburger-open  span:nth-of-type(1) {
	top:0px; 
}
#checkcheck ~.hamburger-open  span:nth-of-type(2) {
	top:14.5px;
}
#checkcheck ~.hamburger-open  span:nth-of-type(3) {
	top:29px;
}

#checkcheck:checked ~.sidenavs {
	overflow-x: visible;
	display:block;
	opacity:1;
	z-index:10;
	left: 0px;
	top:0;
	height:110vh;
}
#checkcheck:checked ~.hamburger-close div{
	display:block;
}
#checkcheck ~.hamburger-close div{
	display:none;
}
.sidenavs{
	position: absolute;
	top:0px;
	left: 0px;
	
	background:#e9b800;
	left:0px;
	height:0;
	width:100%;
	
	overflow: hidden;
	transition: 0.5s;
	opacity:0;
	z-index:2;
}
.sidenavs .div_2{
	padding:70px 0 0 0;
}
.sidenavs .close-btn {
	position: absolute;
	top: 0;
	right: 25px;
	font-size: 36px;
	margin-left: 50px;
}

#checkcheck{
	display:none;
}
#checkcheck:checked ~.hamburger-open span:nth-of-type(1) {
	transform: translateY(6px) rotate(-45deg);
    top: 7.5px;
	/*
    right: 5px;
	*/
    width: 45px;
}
#checkcheck:checked ~.hamburger-open span:nth-of-type(2) {
	opacity: 0;
}
#checkcheck:checked ~.hamburger-open span:nth-of-type(3){
	transform: translateY(-6px) rotate(45deg);
	top: 20px;
	/*
	left: 18px;
	width: 30%;
	*/
	 width: 45px;
}